Upsert unified content embedding

View as Markdown
Creates or replaces the embedding row for one unified content source and returns 204 with no response body.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

Request

This endpoint expects an object.
modelVersionstringRequired>=1 character
Embedding model version
qwen4bFp16list of floatRequired

Embedding vector pinned to qwen-4b-fp16 (Qwen3-Embedding-4B-f16.gguf) from https://huggingface.co/Qwen/Qwen3-Embedding-4B-GGUF?show_file_info=Qwen3-Embedding-4B-f16.gguf; only this fp16 model is accepted and exactly 2560 floats are required

sourceHashstringRequiredformat: "^[a-fA-F0-9]{64}$">=1 character

SHA-256 hash of the source content

sourceIdstringRequired>=1 character
Embedding source identifier
sourceJsonstringRequired>=1 character
Serialized JSON payload stored in JSONB
sourceTextstringRequired>=1 character
Source text used to create the embedding
sourceTypeenumRequired
Embedding source type

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error